.scheme {
    padding-bottom: rem(80);

    &__header {
        margin-bottom: rem(30);
    }

    &__main {
        position: relative;
    }

    &__item {
        position: relative;
        min-height: rem(100);
        font-size: rem(22);
        line-height: rem(33);
        padding-bottom: rem(15);
        display: flex;

        &:last-child {
            min-height: inherit;
            padding-bottom: 0;
        }

        &:not(:last-child) {

            &:before {
                left: rem(27);
                top: 30px;
                bottom: 0;
                content: '';
                position: absolute;
                border-left: 2px dotted $red;
            }
        }

        a {
            color: $red;
            text-decoration: none;
            display: inline-block;
            border-bottom: 1px dotted $red;
            transition: .3s;

            &:hover {
                color: $red;
                text-decoration: none;
                border-bottom-color: transparent;
                transition: .3s;
            }
        }
    }

    &__text {
        padding-top: rem(10);
        padding-left: rem(15);
    }

    &__num {
        z-index: 20;
        color: $white;
        width: rem(56);
        height: rem(56);
        background: $red;
        font-weight: 700;
        font-size: rem(31);
        line-height: rem(47);
        border-radius: 50%;
        position: relative;
        text-align: center;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-shrink: 0;
    }

    @include media-breakpoint-up(md) {
        padding-bottom: rem(106);

        &__header {
            max-width: rem(750);
            margin-bottom: rem(74);
        }
    }

    @include media-breakpoint-up(lg) {

        &__main {
            display: grid;
            grid-column-gap: rem(20);
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        }

        &__item {
            display: block;
            font-size: rem(16);
            line-height: rem(28);

            &:not(:last-child) {
                padding-bottom: 0;

                &:before {
                    left: rem(27);
                    top: 28px;
                    right: rem(-20);
                    bottom: auto;
                    content: '';
                    position: absolute;
                    border-left: none;
                    border-bottom: 2px dotted $red;
                }
            }
        }

        &__text {
            padding: rem(28) 0 0 0;
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {
            font-size: rem(22);
            line-height: rem(33);
        }
    }
}
